Package org.alfresco.rest.requests
Class Categories
-
Field Summary
Fields inherited from class org.alfresco.rest.requests.ModelRequest
restWrapper -
Constructor Summary
Constructors -
Method Summary
Modifier and TypeMethodDescriptioncreateCategoriesList(List<RestCategoryModel> restCategoryModels) Create several categories in one request.createSingleCategory(RestCategoryModel restCategoryModel) Create single category.voidDelete categoryRetrieves a category with ID using GET call on "/categories/{categoryId}"Get parent category children.updateCategory(RestCategoryModel restCategoryModel) Update single categoryMethods inherited from class org.alfresco.rest.requests.ModelRequest
include, includePath, usingParams
-
Constructor Details
-
Categories
-
-
Method Details
-
getCategory
Retrieves a category with ID using GET call on "/categories/{categoryId}"- Returns:
- RestCategoryModel
-
createCategoriesList
public RestCategoryModelsCollection createCategoriesList(List<RestCategoryModel> restCategoryModels) Create several categories in one request.- Parameters:
restCategoryModels- The list of categories to create.- Returns:
- The list of created categories with additional data populated by the repository.
-
createSingleCategory
Create single category.- Parameters:
restCategoryModel- The category to create.- Returns:
- Created category with additional data populated by the repository.
-
getCategoryChildren
Get parent category children.- Returns:
- The list of child categories.
-
updateCategory
Update single category. - PUT /categories/{categoryId}- Parameters:
restCategoryModel- The categories to update.- Returns:
- Created category with additional data populated by the repository.
-
deleteCategory
public void deleteCategory()Delete category. - DELETE /categories/{categoryId}
-